/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.mdb;

import java.util.HashMap;
import javax.ejb.ActivationConfigProperty;

/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.2.6.3 $
 */
public class ActivationSpec extends HashMap<String, String>
{

   public void merge(ActivationConfigProperty prop)
   {
      put(prop.propertyName(), prop.propertyValue());
   }

   public void merge(ActivationConfigProperty[] props)
   {
      for (ActivationConfigProperty prop : props)
      {
         merge(prop);
      }
   }


}
